#include "consoleauthmanager.h"


ConsoleAuthManager::ConsoleAuthManager(const bool hasConsole, QObject *parent) :
    QObject(parent),
    Manager("consoleAuth"),
    m_hasConsole(hasConsole)
{
}

ConsoleAuthManager::~ConsoleAuthManager()
{
}

bool ConsoleAuthManager::hasConsole() const
{
    return m_hasConsole;
}

void ConsoleAuthManager::performConsoleLogin()
{
    emit consoleLoginRequest();
}
