#ifndef GREETERMANAGERS_H
#define GREETERMANAGERS_H

#include "dm_common_global.h"

#include "manager.h"

#include <QMap>
#include <QSet>


class DM_COMMONSHARED_EXPORT GreeterManagers
{
public:
    explicit GreeterManagers(const QSet<Manager*>& managers);
    virtual ~GreeterManagers();

public:
    Manager* get(const QString& id) const; // TODO

private:
    QMap<QString, Manager*> m_managers;
};

#endif // GREETERMANAGERS_H
