#include "sessionsmanager.h"


SessionsManager::SessionsManager(const SessionList& sessionsDescriptions, QObject* parent) :
    QObject(parent),
    Manager("sessions"),
    m_sessionsDescriptions(sessionsDescriptions)
{
}

SessionsManager::~SessionsManager()
{
}

const SessionList SessionsManager::availableSessions() const
{
    return m_sessionsDescriptions;
}

void SessionsManager::setNextSessionType(const QString& type)
{
    emit setNextSessionTypeRequest(type);
}
