#ifndef STSSETTINGS_H
#define STSSETTINGS_H

#include "dm_common_global.h"

#include <QString>
#include <QSettings>


class DM_COMMONSHARED_EXPORT StsSettings
{
public:
    explicit StsSettings(const QString& path, const QString& dName);
    virtual ~StsSettings();

public:
    const QString getPrevUsername() const;
    void savePrevUsername(const QString& username);

private:
    QSettings m_settings;
    QString m_dName;
};

#endif // STSSETTINGS_H
