#ifndef SWIPEGESTURERECOGNIZER_H
#define SWIPEGESTURERECOGNIZER_H

#include <QGestureRecognizer>
#include <QPointF>


class SwipeGestureRecognizer : public QGestureRecognizer
{
public:
  explicit SwipeGestureRecognizer();
  ~SwipeGestureRecognizer() override;

public:
  QGesture* create(QObject* target) override;
  Result recognize(QGesture *state, QObject* watched, QEvent* event) override;

private:
  QPoint m_startpoint;
  int m_backlash;
};

#endif // SWIPEGESTURERECOGNIZER_H
