#ifndef THEMEINFO_H
#define THEMEINFO_H

#include "dm_common_global.h"

#include "themedescription.h"


class DM_COMMONSHARED_EXPORT ThemeInfo
{
public:
    explicit ThemeInfo(const QString& path);
    virtual ~ThemeInfo();

public:
    void read();
    const QString path() const;
    const QString name() const;
    const ThemeDescription description() const;
    bool isUiTheme() const;

private:
    QString m_path;
    ThemeDescription m_description;
};

#endif // THEMEINFO_H
