#ifndef THEMEWIDGETCREATOR_H
#define THEMEWIDGETCREATOR_H

#include "dm_common_global.h"

#include <QObject>
#include <QFile>

#include "themeinfo.h"
#include "structures.h"


class BaseThemeWidget;
class GreeterManagers;


class DM_COMMONSHARED_EXPORT ThemeWidgetCreator : public QObject
{
    Q_OBJECT

public:
    static BaseThemeWidget* create(const ThemeInfo& info,
                                   const QString& widgetPluginName,
                                   GreeterManagers* managers,
                                   const EnvironmentData& enviroment);
    static QWidget* create(const QString& path);
    static QWidget* create(QFile* file);
};

#endif // THEMEWIDGETCREATOR_H
