CONFIG      -= qt
CONFIG      -= x11
CONFIG      += fly
TEMPLATE     = app
LANGUAGE     = C

include( /usr/include/fly-dm/fly-dm.pri )

TARGET	= genfly-dmconf

SOURCES	= genkdmconf.c

load(fly_vars)

#LIBS  += -lX11 -lXRes
CONFIG += link_pkgconfig
PKGCONFIG = x11 xres

#install data files
FLY_DM_SHARE = /usr/share/fly-dm

sess.path = $$FLY_DM_SHARE
sess.files = ../sessions
INSTALLS += sess

load(fly_vars)

themes.path = $$FLY_DM_SHARE
themes.files = ../themes.common/themes
equals(FLY_OS_BASE, "buster") {
  themes.files += ../themes.17/themes
}
else {
  equals(FLY_OS_EDITION, "CE") {
    themes.files += ../themes.17/themes
  }
}
INSTALLS += themes

picscommon.path = $$FLY_DM_SHARE
    picscommon.files += ../pics.common/pics
INSTALLS += picscommon

pics.path = $$FLY_DM_SHARE
equals(FLY_OS_BASE, "buster") {
    pics.files += ../pics.17/pics
} else {
    pics.files += ../pics.16/pics
}
INSTALLS += pics

genconf.path  = $$FLY_INSTALL_BINS
equals(FLY_OS_BASE, "buster") {
    genconf.files += 17/genfly-dmconf.post
} else {
    genconf.files += 16/genfly-dmconf.post
}
INSTALLS += genconf

scripts.path = $$FLY_INSTALL_BINS
scripts.files = ../scripts/*
INSTALLS += scripts

xsessiond.path = /etc/X11/Xsession.d
xsessiond.files = ../xsession.d/*
INSTALLS += xsessiond

autostart.path = $$FLY_DM_SHARE/autostart
autostart.files = ../autostart/greeter
INSTALLS += autostart

udev.path = /lib/udev/rules.d
udev.files = ../udev/*
INSTALLS += udev

polkit.path = /var/lib/polkit-1/localauthority/75-polkitfly.d
polkit.files = ../polkit/*
INSTALLS += polkit

svn.path = $$FLY_DM_SHARE
#svn.extra = find ${INSTALL_ROOT} -name ".svn" -exec rm -rf {} \;
svn.extra = find ${INSTALL_ROOT} -name ".svn" | xargs rm -rf
INSTALLS += svn

#CONFIG += fly_clean_dirs
#FLY_CLEAN_DIRS += $$OBJECTS_DIR $$QMAKE_PKGCONFIG_DESTDIR
#FLY_DISTCLEAN_DIRS += $$DESTDIR

