#ifndef SHUTDOWNHANDLER_H
#define SHUTDOWNHANDLER_H

#include <QObject>

#include "structures.h"
#include "greeterhandler.h"


class ShutdownHandler : public QObject
{
    Q_OBJECT

public:
    explicit ShutdownHandler(GreeterHandler* greeterHandler, QObject* parent = nullptr);
    virtual ~ShutdownHandler();

public slots:
    void handleShutdown(const ShutdownAction action);

private:
    bool checkShutdownPermission(const int type, const QString& os = QString());

private:
    GreeterHandler* m_greeterHandler;
};

#endif // SHUTDOWNHANDLER_H
