#ifndef XKBEVENTFILTER_H
#define XKBEVENTFILTER_H

#include <QAbstractNativeEventFilter>


class XKeyboard;


class XkbEventFilter : public QAbstractNativeEventFilter
{
public:
    explicit XkbEventFilter(XKeyboard* keyboard);
    ~XkbEventFilter() override;

public:
    bool nativeEventFilter(const QByteArray& eventType, void* message, long* result) override;

private:
    XKeyboard* m_keyboard;
};

#endif // XKBEVENTFILTER_H
