#!/bin/bash

exec 0<&-
exec 0<> /dev/null

exec 1<&-
exec 1<> /dev/null

exec 2<&-
exec 2<> /dev/null

if /bin/ps --no-headers -C kscreend; then exit; fi

if /bin/ps --no-headers -C "fly-dm_greet" || /bin/ps --no-headers -C "fly-wm"; then

 #echo "fly-monitor-hotplug.sh: no kscreend, but fly - check hotplugged monitors"

 displaynum=`ls /tmp/.X11-unix/* | sed s#/tmp/.X11-unix/X##`
 display=":$displaynum.0"
 export DISPLAY=":$displaynum.0"
 export XAUTHORITY=$(ps -C Xorg -f --no-header | sed -n 's/.*-auth //; s/ -[^ ].*//; p')

 xrandr -q --verbose | grep connected | while read line
 do
  connected=$(echo $line | grep " connected")
  output=$(echo "$connected" | head -n 1 | sed -e "s/\([a-zA-Z0-9]\+\) connected.*/\1/")
  if [ ! -z "$output" ]; then
    xrandr --output $output --auto
  fi
 done

else

 #echo "fly-monitor-hotplug.sh: no fly - dont process hotplgged monitors to avoid repeated X server resetting"
 exit

fi
