#ifndef CONSOLEAUTHMANAGER_H
#define CONSOLEAUTHMANAGER_H

#include "dm_common_global.h"

#include "manager.h"

#include <QObject>


class DM_COMMONSHARED_EXPORT ConsoleAuthManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit ConsoleAuthManager(const bool hasConsole, QObject *parent = nullptr);
    virtual ~ConsoleAuthManager();

public:
    bool hasConsole() const;

signals:
    void consoleLoginRequest();

public slots:
    void performConsoleLogin();

private:
    bool m_hasConsole;
};

#endif // CONSOLEAUTHMANAGER_H
