#include "shutdownmanager.h"


ShutdownManager::ShutdownManager(const bool allowShutdownNone, QObject* parent) :
    QObject(parent),
    Manager("shutdown"),
    m_allowShutdownNone(allowShutdownNone)
{
}

ShutdownManager::~ShutdownManager()
{
}

bool ShutdownManager::allowShutdownNone() const
{
    return m_allowShutdownNone;
}

void ShutdownManager::doShutdown(const ShutdownAction action)
{
    emit shutdownRequest(action);
}
