#ifndef THEMEDESCRIPTION_H
#define THEMEDESCRIPTION_H

#include "dm_common_global.h"

#include <QString>
#include <QStringList>


class DM_COMMONSHARED_EXPORT ThemeDescription
{
public:
    explicit ThemeDescription(const QString& path);
    virtual ~ThemeDescription();

public:
    void read();
    const QString path() const;
    const QString dirPath() const;
    const QString greeter() const;
    const QString plugin() const;
    const QStringList widgets() const;

private:
    QString m_path;
    QString m_greeter;
    QString m_plugin;
    QStringList m_widgets;
};

#endif // THEMEDESCRIPTION_H
