#include "uiverifyhandler.h"


UiVerifyHandler::UiVerifyHandler(KGVerifyHandler* handler,
                                 QWidget* parent,
                                 QWidget* predecessor,
                                 const QString& fixedEntity,
                                 const PluginList& pluginList,
                                 KGreeterPlugin::Function func,
                                 KGreeterPlugin::Context ctx) :
    KGVerify(handler, parent, predecessor, fixedEntity, pluginList, func, ctx)
{
}

UiVerifyHandler::~UiVerifyHandler()
{
}

bool UiVerifyHandler::gplugHasNode(const QString& id)
{
    Q_UNUSED(id);

    return false;
}

KGreeterPlugin* UiVerifyHandler::getGreet() const
{
    return greet;
}
