#ifndef UIVERIFYHANDLER_H
#define UIVERIFYHANDLER_H

#include "kgverify.h"


class QGridLayout;


class UiVerifyHandler : public KGVerify
{
public:
    explicit UiVerifyHandler(KGVerifyHandler* handler,
                             QWidget* parent,
                             QWidget* predecessor,
                             const QString& fixedEntity,
                             const PluginList& pluginList,
                             KGreeterPlugin::Function func,
                             KGreeterPlugin::Context ctx);
    virtual ~UiVerifyHandler();

public:
  bool gplugHasNode(const QString &id) override;

  KGreeterPlugin* getGreet() const;
};

#endif // UIVERIFYHANDLER_H
