#ifndef AUTOLOGINDIALOG_H
#define AUTOLOGINDIALOG_H

#include "dm_common_global.h"

#include <QDialog>
#include <QTimer>


namespace Ui {
class AutoLoginDialog;
}


class DM_COMMONSHARED_EXPORT AutoLoginDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AutoLoginDialog(const QString& username,
                             const int delay,
                             QWidget* parent = nullptr);
    ~AutoLoginDialog() override;

public slots:
    int exec() override;

private slots:
    void onTimerTimeout();

private:
    void updateText();

private:
    Ui::AutoLoginDialog* m_ui;
    QString m_username;
    int m_delay;
    QTimer m_timer;
};

#endif // AUTOLOGINDIALOG_H
