#ifndef WIDGETMENU_H
#define WIDGETMENU_H

#include <QMenu>
#include <QToolButton>
#include <QKeyEvent>


class WidgetMenu : public QMenu
{
    Q_OBJECT

public:
    explicit WidgetMenu(QWidget* parent, QToolButton* toolButton);
    ~WidgetMenu() override;

protected:
    void keyPressEvent(QKeyEvent* event) override;

private slots:
    void toolButtonPressed();
    void performAboutToHide();

private:
    QToolButton* m_toolButton;
};

#endif // WIDGETMENU_H
