#include "xkbeventfilter.h"

#include "keyboard.h"


XkbEventFilter::XkbEventFilter(XKeyboard* keyboard) :
    m_keyboard(keyboard)
{
}

XkbEventFilter::~XkbEventFilter()
{
}

bool XkbEventFilter::nativeEventFilter(const QByteArray& eventType, void* message, long* result)
{
    if (eventType == "xcb_generic_event_t") {
        m_keyboard->xcbGenericEventHandle(eventType, message, result);
    }

    return false;
}
