#!/bin/bash

#check if nested
#dont use anymore due to vmware horizon uses :100
#if [[ "${DISPLAY}" = *:10* ]]; then exit; fi
fly-wmfunc FLYWM_IS_NESTED_SESSION
if [ "$?" = 0 ]; then exit; fi

if [ -x /usr/bin/kscreend ]; then

#get user from /var/lib/fly-dm/fly-dmsts and use his kscreend config
users=`cat /var/lib/fly-dm/fly-dmsts | cut -d = -f2  2> /dev/null | tr '\n' ';' | tr '[' 'a' | tr ']' 'a'`
save_IFS="$IFS"
IFS=';'
for user_i in ${users}; do
  if [ ${user_i} = "aPrevUsera" ]; then
    continue
  fi
  if [ ${user_i} = "root" ]; then
    USER_HOME=/root
  else
    USER_HOME=/home/${user_i}
  fi
  # echo user_home=$USER_HOME

  if [ -d $USER_HOME/.local/share/kscreen ]; then
    DM_HOME=/var/lib/fly-dm
    if [ ! -d $DM_HOME/.local/share/kscreen ]; then
     mkdir -p $DM_HOME/.local/share/kscreen
    fi
    cp $USER_HOME/.local/share/kscreen/* $DM_HOME/.local/share/kscreen
    chown fly-dm.fly-dm $DM_HOME/.local -R

    #used by kscreend
    if [ ! -d $DM_HOME/.config ]; then
     mkdir -p $DM_HOME/.config
     chown fly-dm.fly-dm $DM_HOME/.config
    fi

#   export KSCREEN_LOGGING=1
#   export QT_MESSAGE_PATTERN="[%{time hh::mm:s.zzz}] %{function}: %{message}"
    sudo -u fly-dm XAUTHORITY="${XAUTHORITY}" DBUS_SESSION_ADDRESS=none HOME=$DM_HOME /usr/bin/kscreend&
    sleep 1
    kill $!

    break
  fi
done
IFS="$save_IFS"

fi
